Code-Scan-Befunde auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/code-scans/findings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/code-scans/findings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/code-scans/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"category": "<string>",
"code_owners": [
"<string>"
],
"created_at": 123,
"description": "<string>",
"finding_id": "<string>",
"note": "<string>",
"orchestrator_session_id": "<string>",
"pr_url": "<string>",
"recommendation": "<string>",
"reference_snippets": [
{
"commentary": "<string>",
"end_line": 123,
"file_path": "<string>",
"start_line": 123,
"code": "<string>"
}
],
"repo_name": "<string>",
"scan_id": "<string>",
"session_id": "<string>",
"severity": "critical",
"status": "open",
"title": "<string>",
"related_finding_ids": [
"<string>"
]
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Code-Scans (Enterprise)
Code-Scan-Befunde auflisten (Devin API)
Enterprise-Code-Scan-Befunde auflisten
GET
/
v3
/
enterprise
/
code-scans
/
findings
Code-Scan-Befunde auflisten
Berechtigungen
ViewAccountCodeScans auf Enterprise-Ebene.
Verwandte Themen
- Filtern Sie nach
scan_id, nachdem ein mit Code-Scan starten gestarteter Scan den Statuscompletederreicht hat (siehe Code-Scans auflisten zum Abrufen des Status). - Um zu erfahren, wonach ein Scan gesucht hat, lesen Sie das dafür verwendete Profil über Code-Scan-Profile auflisten und Code-Scan-Profil abrufen.
- Das Äquivalent im Org-Geltungsbereich ist Code-Scan-Befunde auflisten (Organization).
- Den vollständigen Workflow finden Sie unter Code-Scans über die Devin API auslösen.
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Filtert nach Befunden, die von diesem Scan erzeugt wurden.
Filtert nach Befunden, die in diesem Repository gemeldet wurden.
Filtert nach Befunden mit einem dieser Schweregrade (kritisch, hoch, mittel, niedrig).
Verfügbare Optionen:
critical, high, medium, low Filtert nach Befunden mit einem dieser Statuswerte (offen, verworfen, behoben).
Verfügbare Optionen:
open, dismissed, resolved Filtert nach Befunden in diesen Organisationen.
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Ob nach dieser Seite weitere Einträge verfügbar sind.
Optionale Gesamtanzahl (kann aus Leistungsgründen weggelassen werden).

